Public Member Functions | Public Attributes | List of all members
STOFFSection Class Reference

a class which stores section properties More...

`#include <STOFFSection.hxx>`

## Public Member Functions
| STOFFSection ()
| constructor
| STOFFSection (STOFFSection const &)=default
| STOFFSection (STOFFSection &&)=default
STOFFSection & | operator= (STOFFSection const &)=default
STOFFSection & | operator= (STOFFSection &&)=default
| ~STOFFSection ()
| destructor
int | numColumns () const
| returns the number of columns
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | operator!= (STOFFSection const &sec) const
| operator!=
bool | operator== (STOFFSection const &sec) const
| operator==

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the propertyList

## Detailed Description

a class which stores section properties

## Constructor & Destructor Documentation

## ◆ STOFFSection() [1/3]

STOFFSection::STOFFSection | ( |  | ) |
| inline

constructor

## ◆ STOFFSection() [2/3]

STOFFSection::STOFFSection | ( | STOFFSection const & |  | ) |
| default

## ◆ STOFFSection() [3/3]

STOFFSection::STOFFSection | ( | STOFFSection && |  | ) |
| default

## ◆ ~STOFFSection()

STOFFSection::~STOFFSection | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addTo()

void STOFFSection::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## ◆ numColumns()

int STOFFSection::numColumns | ( |  | ) | const

returns the number of columns

## ◆ operator!=()

bool STOFFSection::operator!= | ( | STOFFSection const & | sec | ) | const

operator!=

Referenced by operator==().

## ◆ operator=() [1/2]

STOFFSection & STOFFSection::operator= | ( | STOFFSection && |  | ) |
| default

## ◆ operator=() [2/2]

STOFFSection & STOFFSection::operator= | ( | STOFFSection const & |  | ) |
| default

## ◆ operator==()

bool STOFFSection::operator== | ( | STOFFSection const & | sec | ) | const
| inline

operator==

## Member Data Documentation

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFSection::m_propertyList

the propertyList

Referenced by addTo(), numColumns(), and operator!=().

The documentation for this class was generated from the following files:

- STOFFSection.hxx
- STOFFSection.cxx